This commit is contained in:
parent
00af1e5d1b
commit
d135368530
@ -1,3 +1,11 @@
|
|||||||
|
-------------------------------------------------------------------
|
||||||
|
Thu Apr 26 15:57:56 UTC 2012 - tittiatcoke@gmail.com
|
||||||
|
|
||||||
|
- Reduce the number of fonts that are included in the initrd. Also
|
||||||
|
let mkinitrd sort out the dependencies for the required libs.
|
||||||
|
- Use the same font as that grub2 is currently using for it's
|
||||||
|
graphics mode.
|
||||||
|
|
||||||
-------------------------------------------------------------------
|
-------------------------------------------------------------------
|
||||||
Tue Apr 17 10:30:57 UTC 2012 - glin@suse.com
|
Tue Apr 17 10:30:57 UTC 2012 - glin@suse.com
|
||||||
|
|
||||||
|
@ -57,6 +57,7 @@ Requires: suspend >= 0.80.20100129.1
|
|||||||
Requires: systemd-plymouth
|
Requires: systemd-plymouth
|
||||||
Provides: bootsplash = %{version}
|
Provides: bootsplash = %{version}
|
||||||
Obsoletes: bootsplash < %{version}
|
Obsoletes: bootsplash < %{version}
|
||||||
|
Requires: gnu-unifont-bitmap-fonts
|
||||||
Requires(post): plymouth-scripts
|
Requires(post): plymouth-scripts
|
||||||
|
|
||||||
%description
|
%description
|
||||||
|
@ -33,7 +33,7 @@
|
|||||||
+plymouth show-splash
|
+plymouth show-splash
|
||||||
--- /dev/null
|
--- /dev/null
|
||||||
+++ new/scripts/setup-plymouth.sh.in 2012-04-03 11:11:44.656337240 +0200
|
+++ new/scripts/setup-plymouth.sh.in 2012-04-03 11:11:44.656337240 +0200
|
||||||
@@ -0,0 +1,68 @@
|
@@ -0,0 +1,47 @@
|
||||||
+#!/bin/bash
|
+#!/bin/bash
|
||||||
+#
|
+#
|
||||||
+#%stage: setup
|
+#%stage: setup
|
||||||
@ -47,19 +47,24 @@
|
|||||||
+
|
+
|
||||||
+PLUGIN_PATH=$(plymouth --get-splash-plugin-path)
|
+PLUGIN_PATH=$(plymouth --get-splash-plugin-path)
|
||||||
+
|
+
|
||||||
+MODULE=$(grep "ModuleName *= *" @PLYMOUTH_DATADIR@/plymouth/themes/${THEME}/${THEME}.plymouth | sed 's/ModuleName *= *//')
|
+MODULE=$(grep "ModuleName *= *" /usr/share/plymouth/themes/${THEME}/${THEME}.plymouth | sed 's/ModuleName *= *//')
|
||||||
+
|
+
|
||||||
+if [ ! -f "$PLUGIN_PATH/${MODULE}.so" ]; then
|
+if [ ! -f "$PLUGIN_PATH/${MODULE}.so" ]; then
|
||||||
+ echo "The default plymouth plugin ($MODULE) doesn't exist." > /dev/stderr
|
+ echo "The default plymouth plugin ($MODULE) doesn't exist." > /dev/stderr
|
||||||
+ exit 1
|
+ exit 1
|
||||||
+fi
|
+fi
|
||||||
+
|
+
|
||||||
+FILES="@PLYMOUTH_DATADIR@/plymouth/themes/text/text.plymouth \
|
+FILES="/usr/share/plymouth/themes/text/text.plymouth \
|
||||||
+ @PLYMOUTH_DATADIR@/plymouth/themes/details/details.plymouth \
|
+ /usr/share/plymouth/themes/details/details.plymouth \
|
||||||
+ @PLYMOUTH_DATADIR@/plymouth/plymouthd.defaults \
|
+ /usr/share/plymouth/plymouthd.defaults \
|
||||||
+ @PLYMOUTH_DATADIR@/plymouth/themes/${THEME}/* \
|
+ /usr/share/plymouth/themes/${THEME}/* \
|
||||||
+ @PLYMOUTH_DATADIR@/plymouth/logo.png \
|
+ /usr/share/plymouth/logo.png \
|
||||||
+ /etc/plymouth/plymouthd.conf"
|
+ /etc/plymouth/plymouthd.conf \
|
||||||
|
+ /usr/share/fonts/uni/unicode2.pf2 \
|
||||||
|
+ /etc/fonts/fonts.conf \
|
||||||
|
+ /etc/fonts/conf.d/69-unifont.conf \
|
||||||
|
+ /etc/fonts/conf.avail/69-unifont.conf \
|
||||||
|
+ /usr/lib/pango/1.6.0/modules/pango-basic-fc.so "
|
||||||
+
|
+
|
||||||
+PLUGINS="${PLUGIN_PATH}/details.so \
|
+PLUGINS="${PLUGIN_PATH}/details.so \
|
||||||
+ ${PLUGIN_PATH}/text.so \
|
+ ${PLUGIN_PATH}/text.so \
|
||||||
@ -76,29 +81,3 @@
|
|||||||
+ mkdir -p $tmp_mnt/$(dirname $plugin)
|
+ mkdir -p $tmp_mnt/$(dirname $plugin)
|
||||||
+ cp_bin $plugin $tmp_mnt/$plugin
|
+ cp_bin $plugin $tmp_mnt/$plugin
|
||||||
+done
|
+done
|
||||||
+
|
|
||||||
+# copy files for font rendering
|
|
||||||
+_libdir=`rpm --eval '%{_lib}'`
|
|
||||||
+if [ "$_libdir" == "lib64" ];
|
|
||||||
+ then
|
|
||||||
+ _pangodir=`pango-querymodules-64 | grep ModulesPath | awk '{print $4}'`
|
|
||||||
+ _pangomod="/etc/pango/pango64.modules"
|
|
||||||
+ else
|
|
||||||
+ _pangodir=`pango-querymodules | grep ModulesPath | awk '{print $4}'`
|
|
||||||
+ _pangomod="/etc/pango/pango.modules"
|
|
||||||
+fi
|
|
||||||
+
|
|
||||||
+FONTS="/usr/share/fonts/truetype/DejaVuSerif.ttf \
|
|
||||||
+ /usr/share/fonts/truetype/DejaVuSans.ttf \
|
|
||||||
+ /etc/fonts/fonts.conf \
|
|
||||||
+ /etc/fonts/conf.d/60-latin.conf \
|
|
||||||
+ ${_pangomod} \
|
|
||||||
+ ${_pangodir}/pango-basic-fc.so \
|
|
||||||
+ /usr/${_libdir}/libpango-1.0.so.0 \
|
|
||||||
+ /usr/${_libdir}/libpangoft2-1.0.so.0 \
|
|
||||||
+ /usr/${_libdir}/libpangocairo-1.0.so.0 "
|
|
||||||
+
|
|
||||||
+for font in $FONTS; do
|
|
||||||
+ install -D $font $tmp_mnt/$font
|
|
||||||
+done
|
|
||||||
+mkdir -p $tmp_mnt/var/cache/fontconfig
|
|
||||||
|
Loading…
Reference in New Issue
Block a user